(function ($, Drupal) {
    'use strict';

  Drupal.behaviors.commerce_product_reminder_form = {
    attach: function(context, settings) {
      // your code

      function isValidEmailAddress(emailAddress) {
        var pattern = /^([a-z\d!#$%&'*+\-\/=?^_`{|}~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]+(\.[a-z\d!#$%&'*+\-\/=?^_`{|}~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]+)*|"((([ \t]*\r\n)?[ \t]+)?([\x01-\x08\x0b\x0c\x0e-\x1f\x7f\x21\x23-\x5b\x5d-\x7e\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|\\[\x01-\x09\x0b\x0c\x0d-\x7f\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))*(([ \t]*\r\n)?[ \t]+)?")@(([a-z\d\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|[a-z\d\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF][a-z\d\-._~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]*[a-z\d\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])\.)+([a-z\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|[a-z\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF][a-z\d\-._~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]*[a-z\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])\.?$/i;
        return pattern.test(emailAddress);
      }

      $('form.js-mail-control').on('submit', function (e) {
        e.preventDefault();
        var form_item_mail = $(this).find('.js-form-item-mail');
        var mail = $(this).find('input.js-reminder-mail');
        var mail_value = mail.val();
        if( !isValidEmailAddress( mail_value ) ) {

          if(!form_item_mail.hasClass('error')){
            form_item_mail.addClass('error');
            form_item_mail.append('<div class="messages messages--error">'+Drupal.t('The e-mail address you supplied is not valid.')+'</div>');
          } else {
            form_item_mail.find('.messages--error').hide().fadeIn(400);
          }
          return false;
        }
        else {
          $(this).unbind('submit').submit();
        }
      });

      // End
    }
  };

}(jQuery, Drupal));